# -*- coding: iso_8859_1 -*-

from astropython import calib

#------------------------------------------------------------------------------------
#	input parameters
#------------------------------------------------------------------------------------

#--- folders and imagenames ---
Folder = u"C:\\processed\\"
Imagelist = [Folder + "images\\ngc7635-calibrated-" + str(i+1) + ".fit" for i in range(30)]
Imagelist2 = [Folder + "images\\ngc7635-coaligned-" + str(i+1) + ".fit" for i in range(30)]

#--- additional information (for FITS headers) ---
Config = 0
More_headers = {'OBJECT': ['ngc7635 (coaligned)','']}

#------------------------------------------------------------------------------------
#	calculations
#------------------------------------------------------------------------------------

calib.coalign_and_save(Imagelist, Imagelist2, Config, Headers=More_headers)

raw_input("Press ENTER to close")
