# -*- coding: iso_8859_1 -*-

from astropython import astro
import numpy as np

#------------------------------------------------------------------------------------
#	Code to calculate the Julian dates corresponding to the "DATE-OBS" header of a serie of images
#------------------------------------------------------------------------------------

Folder = u"C:\\Documents and Settings\\jerome caron\\Desktop\\15Oct2011\\processing_test\\"
Imagelist = [Folder + "ngc7635\\ngc7635-coaligned-" + str(i+1) + ".fit" for i in range(30)]

#------------------------------------------------------------------------------------

Dateobs = astro.julian_day(astro.get_headervalues(Imagelist, 'DATE-OBS'))

f = open(Folder + 'JJ_dates.txt','w')
for dd in Dateobs:
	f.write(str(dd)+'\n')
f.close()

raw_input("Press ENTER to close")

