# -*- coding: iso_8859_1 -*-

from astropython import calib

#------------------------------------------------------------------------------------
#	input parameters
#------------------------------------------------------------------------------------

#--- input names ---
Folder = u"C:\\flats\\"
Offsetlist = [Folder + "offset\\offset-" + str(i+1) + ".fit" for i in range(20)]
Darklist = [Folder + "dark\\dark-" + str(i+1) + ".fit" for i in range(20)]
Flatlist = [Folder + "flat\\flat-" + str(i+1) + ".fit" for i in range(20)]

#--- output name ---
Finalflat = Folder + "flat_final.fit"

#--- additional information (for FITS headers) ---
Config = 0
More_headers = {'OBJECT': ['Flat','']}

#------------------------------------------------------------------------------------
#	loading all images
#------------------------------------------------------------------------------------

calib.process_flatframe_vbleexp(Flatlist, Darklist, Offsetlist, Finalflat, Config, More_headers)

raw_input("Press ENTER to close")

