# -*- coding: iso_8859_1 -*-

from astropython import calib

#------------------------------------------------------------------------------------
#	input parameters
#------------------------------------------------------------------------------------

#--- folders and imagenames ---
Folder = u"C:\\sources\\"
Imagelist = [Folder + "images\\ngc7635-calibrated-" + str(i+1) + ".fit" for i in range(30)]
final_Image = Folder + "images\\ngc7635-final.fit"

#--- others ---
mult = 10

#--- additional information (for FITS headers) ---
Config = 0
More_headers = {'OBJECT': ['ngc7635 (coadded)','']}

#------------------------------------------------------------------------------------
#	calculations
#------------------------------------------------------------------------------------

calib.coalign_coadd_and_save(Imagelist, mult, final_Image, Config, Headers=More_headers)

raw_input("Press ENTER to close")
