# -*- coding: iso_8859_1 -*-

from astropython import calib

#------------------------------------------------------------------------------------
#	input parameters
#------------------------------------------------------------------------------------

#--- folders ---
Folder = u"C:\\sources\\"
Folder_bis = u"C:\\processed\\"

#--- input frames ---
Imagelist = [Folder + "images\\ngc7635-" + str(i+1) + ".fit" for i in range(30)]
Darklist = [Folder + "dark\\dark-" + str(i+1) + ".fit" for i in range(20)]
Flat = Folder_bis + "flat.fit"

#--- output frames ---
Imagelist2 = [Folder_bis + "images\\ngc7635-calibrated-" + str(i+1) + ".fit" for i in range(30)]

#--- FITS headers ---
Config = 0
More_headers = {'OBJECT': ['ngc7635 (calibrated)','']}

#------------------------------------------------------------------------------------
#	calculations
#------------------------------------------------------------------------------------

calib.calibrate_and_save(Imagelist, Darklist, Flat, Imagelist2, Config, Headers=More_headers)

raw_input("Press ENTER to close")
