# -*- coding: iso_8859_1 -*-

from astropython import astro
import matplotlib.pyplot as plt

#------------------------------------------------------------------------------------
#	Code calculating the image shifts in a list of images
#------------------------------------------------------------------------------------

Folder = u"C:\\images\\"
Imagelist = [Folder + "images-calibrated-" + str(i+1) + ".fit" for i in range(30)]

detection_area = 12		#+/-size of square footprint used for star detection
nb_stars = 12

#-------------------------------------------------------------------------------------
#loading images
images = astro.get_imagedata(Imagelist)

dx = []
dy = []

threshold = astro.find_threshold(images[0,30:,:], detection_area, nb_stars)

print
print 1, 0., 0.
for i in range(1,len(Imagelist)):
	ddx, ddy = astro.find_shift_stars_matching(images[0,30:,:], images[i,30:,:], threshold, detection_area)
	dx.append(ddx)
	dy.append(ddy)
	print i+1, ddx, ddy

plt.figure()
plt.plot(dx,dy)
plt.grid()
plt.show()
raw_input('Press Enter to close')
