# -*- coding: iso_8859_1 -*-

from astropython import astro
import numpy as np


#------------------------------------------------------------------------------------
#	Code calculating the ROnoise from a collection of offset frames
#------------------------------------------------------------------------------------

Folder = u"C:\\images\\"
Imagelist = [Folder + "offset-" + str(i+1) + ".fit" for i in range(30)]

#------------------------------------------------------------------------------------
#	calculations
#------------------------------------------------------------------------------------
#loading images
bias = astro.get_imagedata(Imagelist)

#calculating mean values
mean = np.mean(np.mean(bias, axis=1), axis=1)
print
print "-----------------------------------------------"
print "Mean values"
print "-----------------------------------------------"	
print mean
print np.mean(mean)

#calculating RO noise
ROnoise = np.zeros(len(Imagelist)-1) 
for i in range(0,len(Imagelist)-1):
	x = bias[i+1,:,:]-bias[i,:,:]	
	ROnoise[i] = np.std(x.flatten())/np.sqrt(2.)
print
print "-----------------------------------------------"
print "Read-out noise values"
print "-----------------------------------------------"	
print ROnoise
print np.mean(ROnoise)

print
raw_input('Press Enter to close')
