# -*- coding: iso_8859_1 -*-

from astropython import astro
import numpy as np
import matplotlib.pyplot as plt

#-------------------------------------------------------------------------------------
#	Code calculating the statistics of a series of images
#-------------------------------------------------------------------------------------

Folder = u"C:\\images\\"
Imagelist = [Folder + "images-calibrated-" + str(i+1) + ".fit" for i in range(50)]

#-------------------------------------------------------------------------------------
#loading images
mean = []
maxi = []
mini = []

for i in range(len(Imagelist)):
	imagei = astro.get_imagedata([Imagelist[i]])

	#calculating statistics
	mean.append(np.mean(imagei.flatten()))
	maxi.append(np.max(imagei.flatten()))
	mini.append(np.min(imagei.flatten()))

print
print "-----------------------------------------------"
print "Mean, Min and Max values"
print "-----------------------------------------------"	
for i in range(len(Imagelist)):
	print "Image",str(i+1),"\tmean=",mean[i],"\tmin=",mini[i],"\tmax=",maxi[i]

plt.ion()
plt.figure()
plt.plot(mean,label='Mean')
plt.plot(maxi,label='Max')
plt.plot(mini,label='Min')
plt.title("Min, Mean and Max")
plt.grid()
plt.draw()
print
raw_input('Press Enter to close')