# -*- coding: iso_8859_1 -*-

import numpy as np
import os

def write_cdrcdl_report(outputname, Imagelist, names, obj_index, mag, ref_1, dateobs, rejdata = []):

	nb_obj = len([i for i in names if (i[0]=='m')or(i[0]=='v')])  
	
	filename = outputname.split('.')[0] + '_' + names[obj_index] + '.' + outputname.split('.')[1]

	#---------- writing results to output file -------------	
	if os.path.exists(filename):
		os.remove(filename)

	f = open(filename, 'w')
	f.write('FMT DV')
	for i in range(len(ref_1[0][1])):	#loop on reference stars
		f.write('R')
	f.write('\n\t\t\t\n')
	
	#--- measures magnitudes ---
		
	for j in range(len(Imagelist)):
		if j not in rejdata:
			f.write(('%.6f' % dateobs[j]))
			f.write('\t'+('%.4f' % mag[j][obj_index][ref_1[0][0]]))		#index 0 for first (=best) result
			for i in range(len(ref_1[0][1])):	#loop on reference stars
				f.write('\t'+('%.4f' % mag[j][nb_obj+ref_1[0][1][i]-1][ref_1[0][0]]))		#index 0 for first (=best) result
			f.write("\n")
	f.close()

	return 0

	